Index: branches/RWT/modules/vci_cc_vcache_wrapper/caba/source/src/vci_cc_vcache_wrapper.cpp
===================================================================
--- branches/RWT/modules/vci_cc_vcache_wrapper/caba/source/src/vci_cc_vcache_wrapper.cpp	(revision 824)
+++ branches/RWT/modules/vci_cc_vcache_wrapper/caba/source/src/vci_cc_vcache_wrapper.cpp	(revision 827)
@@ -4054,17 +4052,16 @@
 
             // saturation counter
-            if ( r_dcache_flush_count.read() < (m_dcache_sets*m_dcache_ways - 1) )
+            if (r_dcache_flush_count.read() < (m_dcache_sets * m_dcache_ways - 1))
                 r_dcache_flush_count = r_dcache_flush_count.read() + 1;
         }
         break;
     }
-
     ////////////////////////////
     case DCACHE_XTN_DC_FLUSH_DATA:
     {
         uint32_t rdata;
-        size_t   way;
-        size_t   set;
-        size_t   word;
+        size_t way;
+        size_t set;
+        size_t word;
 
         r_dcache.read_neutral(r_dcache_xtn_flush_addr_data.read(),
@@ -4073,13 +4070,14 @@
                               &set,
                               &word);
-        if(r_cc_send_data_fifo.wok())
+
+        if (r_cc_send_data_fifo.wok())
         {
             r_dcache_xtn_flush_addr_data = r_dcache_xtn_flush_addr_data.read() + 4;
 
-            cleanup_data_updt_fifo_dcache_put   = true;
-            cleanup_data_updt_fifo_dcache_data  = rdata;
+            cleanup_data_updt_fifo_dcache_put = true;
+            cleanup_data_updt_fifo_dcache_data = rdata;
 
             r_dcache_xtn_flush_data_cpt = r_dcache_xtn_flush_data_cpt + 1;
-            if(r_dcache_xtn_flush_data_cpt.read() == (m_dcache_words - 1))
+            if (r_dcache_xtn_flush_data_cpt.read() == (m_dcache_words - 1))
             {
                 r_dcache_xtn_flush_data_cpt = 0;
@@ -4089,5 +4087,4 @@
         break;
     }
-
     ////////////////////////////
     case DCACHE_XTN_DC_FLUSH_GO:    // Switch the cache slot to ZOMBI state
@@ -4098,18 +4095,15 @@
         size_t set = r_dcache_miss_set.read();
 
-        r_dcache_content_state[m_dcache_sets*way+set]  = LINE_CACHE_DATA_DIRTY;
+        r_dcache_content_state[m_dcache_sets * way + set]  = LINE_CACHE_DATA_DIRTY;
 
 #ifdef INSTRUMENTATION
-m_cpt_dcache_dir_write++;
-#endif
-
-
-
-        r_dcache.write_dir( way,
-                            set,
-                            CACHE_SLOT_STATE_ZOMBI );
-
-        if ( r_dcache_flush_count.read() ==
-             (m_dcache_sets*m_dcache_ways - 1) )  // last slot
+        m_cpt_dcache_dir_write++;
+#endif
+        r_dcache.write_dir(way,
+                           set,
+                           CACHE_SLOT_STATE_ZOMBI);
+
+        if (r_dcache_flush_count.read() ==
+             (m_dcache_sets * m_dcache_ways - 1))  // last slot
         {
             r_dtlb.reset();
@@ -4125,9 +4119,9 @@
     }
     /////////////////////////
-    case DCACHE_XTN_DT_INVAL:   // handling processor XTN_DTLB_INVAL request
+    case DCACHE_XTN_DT_INVAL: // handling processor XTN_DTLB_INVAL request
     {
         r_dtlb.inval(r_dcache_save_wdata.read());
-        r_dcache_fsm        = DCACHE_IDLE;
-        m_drsp.valid          = true;
+        r_dcache_fsm = DCACHE_IDLE;
+        m_drsp.valid = true;
         break;
     }
@@ -4138,47 +4132,47 @@
     {
         paddr_t paddr;
-        bool    hit;
-
-        if ( r_mmu_mode.read() & DATA_TLB_MASK )    // dtlb activated
+        bool hit;
+
+        if (r_mmu_mode.read() & DATA_TLB_MASK) // dtlb activated
         {
 
 #ifdef INSTRUMENTATION
-m_cpt_data_tlb_read++;
-#endif
-            hit = r_dtlb.translate( r_dcache_save_wdata.read(),
-                                    &paddr );
-        }
-        else                        // dtlb not activated
+            m_cpt_dtlb_read++;
+#endif
+            hit = r_dtlb.translate(r_dcache_save_wdata.read(),
+                                   &paddr);
+        }
+        else // dtlb not activated
         {
             paddr = (paddr_t)r_dcache_save_wdata.read();
             if (vci_param::N > 32)
                 paddr = paddr | ((paddr_t)(r_dcache_paddr_ext.read()) << 32);
-            hit   = true;
-        }
-
-        if ( hit )      // tlb hit
+            hit = true;
+        }
+
+        if (hit) // tlb hit
         {
             r_dcache_save_paddr = paddr;
-            r_dcache_fsm      = DCACHE_XTN_DC_INVAL_PA;
-        }
-        else            // tlb miss
+            r_dcache_fsm = DCACHE_XTN_DC_INVAL_PA;
+        }
+        else // tlb miss
         {
 
 #ifdef INSTRUMENTATION
-m_cpt_data_tlb_miss++;
-#endif
-            r_dcache_tlb_ins    = false;        // dtlb
-            r_dcache_tlb_vaddr  = r_dcache_save_wdata.read();
-            r_dcache_fsm        = DCACHE_TLB_MISS;
+            m_cpt_dtlb_miss++;
+#endif
+            r_dcache_tlb_ins   = false; // dtlb
+            r_dcache_tlb_vaddr = r_dcache_save_wdata.read();
+            r_dcache_fsm       = DCACHE_TLB_MISS;
         }
 
 #if DEBUG_DCACHE
-if ( m_debug_activated )
-{
-    std::cout << "  <PROC " << name()
-              << " DCACHE_XTN_DC_INVAL_VA> Compute physical address" << std::hex
-              << " / VADDR = " << r_dcache_save_wdata.read()
-              << " / PADDR = " << paddr << std::endl;
-}
+        if (m_debug_activated)
+        {
+            std::cout << "  <PROC " << name()
+                << " DCACHE_XTN_DC_INVAL_VA> Compute physical address" << std::hex
+                << " / VADDR = " << r_dcache_save_wdata.read()
+                << " / PADDR = " << paddr << std::endl;
+        }
 #endif
 
@@ -4190,49 +4184,49 @@
                                   // In this state we read dcache.
     {
-        size_t      way;
-        size_t      set;
-        size_t      word;
-        int         state;
+        size_t way;
+        size_t set;
+        size_t word;
+        int    state;
 
 #ifdef INSTRUMENTATION
-m_cpt_dcache_dir_read++;
-#endif
-        r_dcache.read_dir( r_dcache_save_paddr.read(),
-                           &state,
-                           &way,
-                           &set,
-                           &word );
-
-        if ((state == CACHE_SLOT_STATE_VALID_CC) or (state == CACHE_SLOT_STATE_VALID_NCC))  // inval to be done
+        m_cpt_dcache_dir_read++;
+#endif
+        r_dcache.read_dir(r_dcache_save_paddr.read(),
+                          &state,
+                          &way,
+                          &set,
+                          &word);
+
+        if ((state == CACHE_SLOT_STATE_VALID_CC) or
+            (state == CACHE_SLOT_STATE_VALID_NCC))  // inval to be done
         {
             r_dcache_xtn_way       = way;
             r_dcache_xtn_set       = set;
             r_dcache_xtn_state     = state;
-            r_dcache_xtn_data_addr = r_dcache_save_paddr.read()&~0x3F;
-
-            if( (state == CACHE_SLOT_STATE_VALID_NCC) and (r_dcache_content_state[way*m_dcache_sets+set] == LINE_CACHE_DATA_NOT_DIRTY) )
+            r_dcache_xtn_data_addr = r_dcache_save_paddr.read() & ~0x3F;
+
+            if ((state == CACHE_SLOT_STATE_VALID_NCC) and
+                (r_dcache_content_state[way * m_dcache_sets + set] == LINE_CACHE_DATA_NOT_DIRTY))
             {
                 m_cpt_cleanup_data_not_dirty ++;
             }
             r_dcache_fsm = DCACHE_XTN_DC_INVAL_GO;
-
-        }
-        else        // miss : nothing to do
-        {
-            r_dcache_fsm      = DCACHE_IDLE;
-            m_drsp.valid      = true;
+        }
+        else // miss : nothing to do
+        {
+            r_dcache_fsm = DCACHE_IDLE;
+            m_drsp.valid = true;
         }
 
 #if DEBUG_DCACHE
-if ( m_debug_activated )
-{
-    std::cout << "  <PROC " << name()
-              << " DCACHE_XTN_DC_INVAL_PA> Test hit in dcache" << std::hex
-              << " / PADDR = " << r_dcache_save_paddr.read() << std::dec
-              << " / HIT = " << ((state == CACHE_SLOT_STATE_VALID_CC) or (state == CACHE_SLOT_STATE_VALID_NCC))
-              << " / SET = " << set
-              << " / WAY = " << way << std::endl;
-    //r_dcache.printTrace();
-}
+        if (m_debug_activated)
+        {
+            std::cout << "  <PROC " << name()
+                << " DCACHE_XTN_DC_INVAL_PA> Test hit in dcache" << std::hex
+                << " / PADDR = " << r_dcache_save_paddr.read() << std::dec
+                << " / HIT = " << ((state == CACHE_SLOT_STATE_VALID_CC) or (state == CACHE_SLOT_STATE_VALID_NCC))
+                << " / SET = " << set
+                << " / WAY = " << way << std::endl;
+        }
 #endif
         break;
@@ -4243,16 +4237,16 @@
                                   // Test if itlb or dtlb inval is required
     {
-        if ( not r_dcache_cc_send_req.read() ) // blocked until previous cc_send request is sent
-        {
-            int     state      = r_dcache_xtn_state.read();
-            size_t  way        = r_dcache_xtn_way.read();
-            size_t  set        = r_dcache_xtn_set.read();
-            paddr_t nline      = r_dcache_save_paddr.read() / (m_dcache_words<<2);
+        if (not r_dcache_cc_send_req.read()) // blocked until previous cc_send request is sent
+        {
+            int state     = r_dcache_xtn_state.read();
+            size_t way    = r_dcache_xtn_way.read();
+            size_t set    = r_dcache_xtn_set.read();
+            paddr_t nline = r_dcache_save_paddr.read() / (m_dcache_words << 2);
 
 #ifdef INSTRUMENTATION
-m_cpt_dcache_dir_write++;
-#endif
-
-            if ((state == CACHE_SLOT_STATE_VALID_CC) or (state == CACHE_SLOT_STATE_VALID_NCC))// request cleanup
+            m_cpt_dcache_dir_write++;
+#endif
+            if ((state == CACHE_SLOT_STATE_VALID_CC) or
+                (state == CACHE_SLOT_STATE_VALID_NCC)) // request cleanup
             {
                 r_dcache_cc_send_req   = true;
@@ -4263,17 +4257,17 @@
                 {
                     r_dcache_cc_cleanup_line_ncc = false;
-                    r_dcache.write_dir( way,
-                            set,
-                            CACHE_SLOT_STATE_ZOMBI );
+                    r_dcache.write_dir(way,
+                                       set,
+                                       CACHE_SLOT_STATE_ZOMBI);
                 }
                 else
                 {
                     r_dcache_cc_cleanup_line_ncc = true;
-                    if ((r_dcache_content_state[way*m_dcache_sets+set] != LINE_CACHE_DATA_NOT_DIRTY)) //must send data
+                    if ((r_dcache_content_state[way * m_dcache_sets + set] != LINE_CACHE_DATA_NOT_DIRTY)) //must send data
                     {
                         r_dcache_cc_cleanup_updt_data = true;
-                        for (size_t w = 0; w< m_dcache_words; w++)
+                        for (size_t w = 0; w < m_dcache_words; w++)
                         {
-                            m_cpt_cleanup_data_dirty_word += r_dcache_dirty_word[(m_dcache_sets*way+set)*m_dcache_words + w];
+                            m_cpt_cleanup_data_dirty_word += r_dcache_dirty_word[(m_dcache_sets * way + set) * m_dcache_words + w];
                         }
                         r_dcache_fsm = DCACHE_XTN_DC_INVAL_DATA;
@@ -4283,15 +4277,18 @@
                     {
                         r_dcache_cc_cleanup_updt_data = false;
-                        r_dcache.write_dir( way,
-                                            set,
-                                            CACHE_SLOT_STATE_ZOMBI );
+                        r_dcache.write_dir(way,
+                                           set,
+                                           CACHE_SLOT_STATE_ZOMBI);
                     }
-                    if( (state == CACHE_SLOT_STATE_VALID_NCC) and (r_dcache_content_state[way*m_dcache_sets+set] == LINE_CACHE_DATA_NOT_DIRTY) )
+                    if ((state == CACHE_SLOT_STATE_VALID_NCC) and
+                        (r_dcache_content_state[way * m_dcache_sets + set] == LINE_CACHE_DATA_NOT_DIRTY))
+                    {
                         m_cpt_cleanup_data_not_dirty ++;
+                    }
                 }
             }
 
             // possible itlb & dtlb invalidate
-            if ( r_dcache_content_state[way*m_dcache_sets+set] == LINE_CACHE_IN_TLB )
+            if (r_dcache_content_state[way * m_dcache_sets + set] == LINE_CACHE_IN_TLB)
             {
                 r_dcache_tlb_inval_line = nline;
@@ -4299,11 +4296,11 @@
                 r_dcache_fsm_scan_save  = DCACHE_XTN_DC_INVAL_END;
                 r_dcache_fsm            = DCACHE_INVAL_TLB_SCAN;
-                r_dcache_content_state[way*m_dcache_sets+set] = LINE_CACHE_DATA_DIRTY;
-            }
-            else if ( r_dcache_content_state[way*m_dcache_sets+set] == LINE_CACHE_CONTAINS_PTD)
+                r_dcache_content_state[way * m_dcache_sets + set] = LINE_CACHE_DATA_DIRTY;
+            }
+            else if (r_dcache_content_state[way * m_dcache_sets + set] == LINE_CACHE_CONTAINS_PTD)
             {
                 r_itlb.reset();
                 r_dtlb.reset();
-                r_dcache_content_state[way*m_dcache_sets+set] = LINE_CACHE_DATA_DIRTY;
+                r_dcache_content_state[way * m_dcache_sets + set] = LINE_CACHE_DATA_DIRTY;
                 r_dcache_fsm = DCACHE_IDLE;
                 m_drsp.valid = true;
@@ -4316,24 +4313,21 @@
 
 #if DEBUG_DCACHE
-if ( m_debug_activated )
-{
-    std::cout << "  <PROC " << name()
-              << " DCACHE_XTN_DC_INVAL_GO> Actual dcache inval" << std::hex
-              << " / PADDR = " << r_dcache_save_paddr.read() << std::endl;
-}
+            if (m_debug_activated)
+            {
+                std::cout << "  <PROC " << name()
+                    << " DCACHE_XTN_DC_INVAL_GO> Actual dcache inval" << std::hex
+                    << " / PADDR = " << r_dcache_save_paddr.read() << std::endl;
+            }
 #endif
         }
         break;
     }
-
-    /*RWT*/
     //////////////////////////////
     case DCACHE_XTN_DC_INVAL_DATA:
     {
-
         uint32_t rdata;
-        size_t   way = 0; // To avoid gcc warning
-        size_t   set = 0; // To avoid gcc warning
-        size_t   word;
+        size_t way = 0; // To avoid gcc warning
+        size_t set = 0; // To avoid gcc warning
+        size_t word;
         r_dcache.read_neutral(r_dcache_xtn_data_addr.read(),
                               &rdata,
@@ -4341,27 +4335,26 @@
                               &set,
                               &word);
-        if(r_cc_send_data_fifo.wok())
+        if (r_cc_send_data_fifo.wok())
         {
             r_dcache_xtn_data_addr = r_dcache_xtn_data_addr.read() + 4;
 
-            cleanup_data_updt_fifo_dcache_put   = true;
-            cleanup_data_updt_fifo_dcache_data  = rdata;
+            cleanup_data_updt_fifo_dcache_put = true;
+            cleanup_data_updt_fifo_dcache_data = rdata;
 
             r_dcache_xtn_data_cpt = r_dcache_xtn_data_cpt.read() + 1;
-            if(r_dcache_xtn_data_cpt.read() == (m_dcache_words - 1))
+            if (r_dcache_xtn_data_cpt.read() == (m_dcache_words - 1))
             {
                 r_dcache_xtn_state = CACHE_SLOT_STATE_ZOMBI;
                 r_dcache_xtn_data_cpt = 0;
                 r_dcache_fsm = DCACHE_XTN_DC_INVAL_GO;
-                r_dcache.write_dir( way,
-                                    set,
-                                    CACHE_SLOT_STATE_ZOMBI );
+                r_dcache.write_dir(way,
+                                   set,
+                                   CACHE_SLOT_STATE_ZOMBI);
             }
         }
         break;
     }
-
     //////////////////////////////
-    case DCACHE_XTN_DC_INVAL_END:   // send response to processor XTN request
+    case DCACHE_XTN_DC_INVAL_END: // send response to processor XTN request
     {
         r_dcache_fsm = DCACHE_IDLE;
@@ -4377,8 +4370,8 @@
                                // when a cleanup is required
     {
-        if ( m_dreq.valid) m_cost_data_miss_frz++;
+        if (m_dreq.valid) m_cost_data_miss_frz++;
 
         // coherence clack request (from DSPIN CLACK)
-        if ( r_dcache_clack_req.read() )
+        if (r_dcache_clack_req.read())
         {
             r_dcache_fsm = DCACHE_CC_CHECK;
@@ -4388,5 +4381,5 @@
 
         // coherence request (from CC_RECEIVE FSM)
-        if ( r_cc_receive_dcache_req.read() and not r_dcache_cc_send_req.read())
+        if (r_cc_receive_dcache_req.read() and not r_dcache_cc_send_req.read())
         {
             r_dcache_fsm = DCACHE_CC_CHECK;
@@ -4395,96 +4388,97 @@
         }
 
-            bool    found = false;
-            bool    cleanup = false;
-            size_t  way = 0;
-            size_t  set = 0;
-            paddr_t victim = 0;
-            int     state;
-            bool    s_cleanup_updt_data = false;
-            bool    s_cleanup_line_ncc = false;
+        bool    found = false;
+        bool    cleanup = false;
+        size_t  way = 0;
+        size_t  set = 0;
+        paddr_t victim = 0;
+        int     state;
+        bool    s_cleanup_updt_data = false;
+        bool    s_cleanup_line_ncc = false;
 
 #ifdef INSTRUMENTATION
-m_cpt_dcache_dir_read++;
-#endif
-            r_dcache.read_select( r_dcache_save_paddr.read(),
-                                  &victim,
-                                  &way,
-                                  &set,
-                                  &found,
-                                  &cleanup );
-            state = r_dcache.get_cache_state(way,set);
-
-            if ( found )
-            {
-                r_dcache_miss_way = way;
-                r_dcache_miss_set = set;
-
-                if ( cleanup )
-                {
-                    r_dcache_miss_clack   = true;
-                    r_dcache_fsm          = DCACHE_MISS_CLEAN;
-                    if( (state == CACHE_SLOT_STATE_VALID_NCC) )
+        m_cpt_dcache_dir_read++;
+#endif
+        r_dcache.read_select(r_dcache_save_paddr.read(),
+                             &victim,
+                             &way,
+                             &set,
+                             &found,
+                             &cleanup);
+        state = r_dcache.get_cache_state(way, set);
+
+        if (found)
+        {
+            r_dcache_miss_way = way;
+            r_dcache_miss_set = set;
+
+            if (cleanup)
+            {
+                r_dcache_miss_clack = true;
+                r_dcache_fsm = DCACHE_MISS_CLEAN;
+
+                if ((state == CACHE_SLOT_STATE_VALID_NCC))
+                {
+                    s_cleanup_line_ncc = true;
+                    r_dcache_miss_data_addr = (victim * m_dcache_words) * 4;
+                    if ((r_dcache_content_state[way * m_dcache_sets + set] != LINE_CACHE_DATA_NOT_DIRTY)) // must send data
                     {
-                        s_cleanup_line_ncc = true;
-                        r_dcache_miss_data_addr = (victim*m_dcache_words)*4;
-                        if ((r_dcache_content_state[way*m_dcache_sets+set] != LINE_CACHE_DATA_NOT_DIRTY))//must send data
+                        s_cleanup_updt_data = true;
+                        for (size_t w = 0; w < m_dcache_words; w++)
                         {
-                            s_cleanup_updt_data = true;
-                            for (size_t w = 0; w< m_dcache_words; w++)
-                            {
-                                m_cpt_cleanup_data_dirty_word += r_dcache_dirty_word[(m_dcache_sets*way+set)*m_dcache_words + w];
-                            }
-                            r_dcache_fsm = DCACHE_MISS_DATA;
+                            m_cpt_cleanup_data_dirty_word += r_dcache_dirty_word[(m_dcache_sets * way + set) * m_dcache_words + w];
                         }
-                        else
-                        {
-                            s_cleanup_updt_data = false;
-                        }
-
-                        if (r_dcache_content_state[way*m_dcache_sets+set] == LINE_CACHE_DATA_NOT_DIRTY)
-                            m_cpt_cleanup_data_not_dirty ++;
+                        r_dcache_fsm = DCACHE_MISS_DATA;
                     }
                     else
                     {
-                        s_cleanup_line_ncc  = false;
                         s_cleanup_updt_data = false;
                     }
 
-                    if( not r_dcache_cc_send_req.read() )
-                    {
-                        // request cleanup
-                        r_dcache_cc_send_req   = true;
-                        r_dcache_cc_send_nline = victim;
-                        r_dcache_cc_send_way   = way;
-                        r_dcache_cc_send_type  = CC_TYPE_CLEANUP;
-                        r_dcache_cc_cleanup_updt_data = s_cleanup_updt_data;
-                        r_dcache_cc_cleanup_line_ncc  = s_cleanup_line_ncc;
-                    }
-                    else
-                    {
-                        r_dcache_cleanup_victim_nline = victim;
-                        r_dcache_cleanup_victim_req = true;
-                        r_dcache_cleanup_victim_updt_data = s_cleanup_updt_data;
-                        r_dcache_cleanup_victim_line_ncc = s_cleanup_line_ncc;
-                    }
+                    if (r_dcache_content_state[way * m_dcache_sets + set] == LINE_CACHE_DATA_NOT_DIRTY)
+                        m_cpt_cleanup_data_not_dirty ++;
                 }
                 else
                 {
-                    r_dcache_fsm          = DCACHE_MISS_WAIT;
-                }
+                    s_cleanup_line_ncc  = false;
+                    s_cleanup_updt_data = false;
+                }
+
+                if (not r_dcache_cc_send_req.read())
+                {
+                    // request cleanup
+                    r_dcache_cc_send_req   = true;
+                    r_dcache_cc_send_nline = victim;
+                    r_dcache_cc_send_way   = way;
+                    r_dcache_cc_send_type  = CC_TYPE_CLEANUP;
+                    r_dcache_cc_cleanup_updt_data = s_cleanup_updt_data;
+                    r_dcache_cc_cleanup_line_ncc  = s_cleanup_line_ncc;
+                }
+                else
+                {
+                    r_dcache_cleanup_victim_nline = victim;
+                    r_dcache_cleanup_victim_req = true;
+                    r_dcache_cleanup_victim_updt_data = s_cleanup_updt_data;
+                    r_dcache_cleanup_victim_line_ncc = s_cleanup_line_ncc;
+                }
+            }
+            else
+            {
+                r_dcache_fsm = DCACHE_MISS_WAIT;
+            }
 
 #if DEBUG_DCACHE
-if ( m_debug_activated )
-{
-    std::cout << "  <PROC " << name()
-              << " DCACHE_MISS_SELECT> Select a slot:" << std::dec
-              << " / WAY = "   << way
-              << " / SET = "   << set
-              << " / PADDR = " << std::hex << r_dcache_save_paddr.read();
-    if(cleanup) std::cout << " / VICTIM = " << (victim*m_dcache_words*4) << std::endl;
-    else        std::cout << std::endl;
-}
-#endif
-            } // end found
+            if (m_debug_activated)
+            {
+                std::cout << "  <PROC " << name()
+                    << " DCACHE_MISS_SELECT> Select a slot:" << std::dec
+                    << " / WAY = "   << way
+                    << " / SET = "   << set
+                    << " / PADDR = " << std::hex << r_dcache_save_paddr.read();
+                if (cleanup) std::cout << " / VICTIM = " << (victim * m_dcache_words * 4) << std::dec << std::endl;
+                else         std::cout << std::dec << std::endl;
+            }
+#endif
+        } // end found
         break;
     }
@@ -4497,5 +4491,5 @@
         size_t word;
 
-        if( r_dcache_cleanup_victim_req.read() and not r_dcache_cc_send_req.read() )
+        if (r_dcache_cleanup_victim_req.read() and not r_dcache_cc_send_req.read())
         {
             r_dcache_cc_send_req = true;
@@ -4513,13 +4507,13 @@
                               &set,
                               &word);
-        if(r_cc_send_data_fifo.wok())
+        if (r_cc_send_data_fifo.wok())
         {
             r_dcache_miss_data_addr = r_dcache_miss_data_addr.read() + 4;
 
-            cleanup_data_updt_fifo_dcache_put   = true;
-            cleanup_data_updt_fifo_dcache_data  = rdata;
+            cleanup_data_updt_fifo_dcache_put = true;
+            cleanup_data_updt_fifo_dcache_data = rdata;
 
             r_dcache_miss_data_cpt = r_dcache_miss_data_cpt.read() + 1;
-            if (r_dcache_miss_data_cpt.read() == m_dcache_words-1 )
+            if (r_dcache_miss_data_cpt.read() == (m_dcache_words - 1))
             {
                 r_dcache_miss_data_cpt = 0;
@@ -4534,46 +4528,44 @@
                                 // and possibly request itlb or dtlb invalidate
     {
-        if ( m_dreq.valid) m_cost_data_miss_frz++;
-
-        size_t  way   = r_dcache_miss_way.read();
-        size_t  set   = r_dcache_miss_set.read();
+        if (m_dreq.valid) m_cost_data_miss_frz++;
+
+        size_t way = r_dcache_miss_way.read();
+        size_t set = r_dcache_miss_set.read();
 
 #ifdef INSTRUMENTATION
-m_cpt_dcache_dir_read++;
-#endif
-        r_dcache.write_dir( way,
-                            set,
-                            CACHE_SLOT_STATE_ZOMBI );
+        m_cpt_dcache_dir_read++;
+#endif
+        r_dcache.write_dir(way,
+                           set,
+                           CACHE_SLOT_STATE_ZOMBI);
 #if DEBUG_DCACHE
-if ( m_debug_activated )
-{
-    std::cout << "  <PROC " << name()
-              << " DCACHE_MISS_CLEAN> Switch to ZOMBI state" << std::dec
-              << " / way = "   << way
-              << " / set = "   << set << std::endl;
-}
+        if (m_debug_activated)
+        {
+            std::cout << "  <PROC " << name()
+                << " DCACHE_MISS_CLEAN> Switch to ZOMBI state" << std::dec
+                << " / way = "   << way
+                << " / set = "   << set << std::endl;
+        }
 #endif
         // if selective itlb & dtlb invalidate are required
         // the miss response is not handled before invalidate completed
-        if ( r_dcache_content_state[way*m_dcache_sets+set] == LINE_CACHE_IN_TLB )
-        {
-            r_dcache_content_state[way*m_dcache_sets+set] = LINE_CACHE_DATA_DIRTY;
-            if( not r_dcache_cleanup_victim_req.read() )
-            {
+        if (r_dcache_content_state[way * m_dcache_sets + set] == LINE_CACHE_IN_TLB)
+        {
+            r_dcache_content_state[way * m_dcache_sets + set] = LINE_CACHE_DATA_DIRTY;
+
+            if (not r_dcache_cleanup_victim_req.read())
                 r_dcache_tlb_inval_line = r_dcache_cc_send_nline.read();
-            }
             else
-            {
                 r_dcache_tlb_inval_line = r_dcache_cleanup_victim_nline.read();
-            }
-            r_dcache_tlb_inval_set   = 0;
-            r_dcache_fsm_scan_save   = DCACHE_MISS_WAIT;
-            r_dcache_fsm             = DCACHE_INVAL_TLB_SCAN;
-        }
-        else if ( r_dcache_content_state[way*m_dcache_sets+set] == LINE_CACHE_CONTAINS_PTD )
+
+            r_dcache_tlb_inval_set = 0;
+            r_dcache_fsm_scan_save = DCACHE_MISS_WAIT;
+            r_dcache_fsm           = DCACHE_INVAL_TLB_SCAN;
+        }
+        else if (r_dcache_content_state[way * m_dcache_sets + set] == LINE_CACHE_CONTAINS_PTD)
         {
             r_itlb.reset();
             r_dtlb.reset();
-            r_dcache_content_state[way*m_dcache_sets+set] = LINE_CACHE_DATA_DIRTY;
+            r_dcache_content_state[way * m_dcache_sets + set] = LINE_CACHE_DATA_DIRTY;
             r_dcache_fsm = DCACHE_MISS_WAIT;
         }
@@ -4589,19 +4581,20 @@
                             // There is 5 types of error depending on the requester
     {
-        if ( m_dreq.valid) m_cost_data_miss_frz++;
-
-        if( r_dcache_cleanup_victim_req.read() and not r_dcache_cc_send_req.read() )
-        {
-            r_dcache_cc_send_req = true;
-            r_dcache_cc_send_type = CC_TYPE_CLEANUP;
-            r_dcache_cc_send_nline = r_dcache_cleanup_victim_nline.read();
+        if (m_dreq.valid) m_cost_data_miss_frz++;
+
+        // send cleanup victim request
+        if (r_dcache_cleanup_victim_req.read() and not r_dcache_cc_send_req.read())
+        {
+            r_dcache_cc_send_req        = true;
+            r_dcache_cc_send_nline      = r_dcache_cleanup_victim_nline.read();
+            r_dcache_cc_send_way        = r_dcache_miss_way.read();
+            r_dcache_cc_send_type       = CC_TYPE_CLEANUP;
             r_dcache_cleanup_victim_req = false;
             r_dcache_cc_cleanup_updt_data = r_dcache_cleanup_victim_updt_data.read();
-            r_dcache_cc_cleanup_line_ncc = r_dcache_cleanup_victim_line_ncc.read();
-            r_dcache_cc_send_way = r_dcache_miss_way;
+            r_dcache_cc_cleanup_line_ncc  = r_dcache_cleanup_victim_line_ncc.read();
         }
 
         // coherence clack request (from DSPIN CLACK)
-        if ( r_dcache_clack_req.read() )
+        if (r_dcache_clack_req.read())
         {
             r_dcache_fsm = DCACHE_CC_CHECK;
@@ -4611,5 +4604,7 @@
 
         // coherence request (from CC_RECEIVE FSM)
-        if ( r_cc_receive_dcache_req.read() and not r_dcache_cc_send_req.read() and not r_dcache_cleanup_victim_req.read() )
+        if (r_cc_receive_dcache_req.read() and
+            not r_dcache_cc_send_req.read() and
+            not r_dcache_cleanup_victim_req.read())
         {
             r_dcache_fsm = DCACHE_CC_CHECK;
